Index: drivers/char/drm-4.0/i810_drv.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/i810_drv.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/i810_drv.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/i810_drv.c	4 Aug 2004 01:28:49 -0000	1.2
@@ -286,7 +286,7 @@
 					DRM_DEBUG("mtrr_del = %d\n", retcode);
 				}
 #endif
-				drm_ioremapfree(map->handle, map->size);
+				drm_ioremapfree(map->handle, map->size, dev);
 				break;
 			case _DRM_SHM:
 				drm_free_pages((unsigned long)map->handle,
Index: drivers/char/drm-4.0/memory.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/memory.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/memory.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/memory.c	4 Aug 2004 01:28:49 -0000	1.2
@@ -296,7 +296,7 @@
 	}
 }
 
-void *drm_ioremap(unsigned long offset, unsigned long size)
+void *drm_ioremap(unsigned long offset, unsigned long size, drm_device_t *dev)
 {
 	void *pt;
 	
@@ -319,7 +319,7 @@
 	return pt;
 }
 
-void drm_ioremapfree(void *pt, unsigned long size)
+void drm_ioremapfree(void *pt, unsigned long size, drm_device_t *dev)
 {
 	int alloc_count;
 	int free_count;
Index: drivers/char/drm-4.0/mga_dma.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/mga_dma.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/mga_dma.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/mga_dma.c	4 Aug 2004 01:28:49 -0000	1.2
@@ -308,7 +308,7 @@
 	temp = ((temp + PAGE_SIZE - 1) / PAGE_SIZE) * PAGE_SIZE;
 
 	dev_priv->ioremap = drm_ioremap(dev->agp->base + offset,
-					temp);
+					temp, dev);
 	if(dev_priv->ioremap == NULL) {
 		DRM_ERROR("Ioremap failed\n");
 		return -ENOMEM;
@@ -635,7 +635,7 @@
 				    dev_priv->primary_size +
 				    PAGE_SIZE - 1) / PAGE_SIZE * PAGE_SIZE;
 
-			drm_ioremapfree((void *) dev_priv->ioremap, temp);
+			drm_ioremapfree((void *) dev_priv->ioremap, temp, dev);
 		}
 	   	if(dev_priv->status_page != NULL) {
 		   	iounmap(dev_priv->status_page);
Index: drivers/char/drm-4.0/mga_drv.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/mga_drv.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/mga_drv.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/mga_drv.c	4 Aug 2004 01:28:49 -0000	1.2
@@ -286,7 +286,7 @@
 					DRM_DEBUG("mtrr_del = %d\n", retcode);
 				}
 #endif
-				drm_ioremapfree(map->handle, map->size);
+				drm_ioremapfree(map->handle, map->size, dev);
 				break;
 			case _DRM_SHM:
 				drm_free_pages((unsigned long)map->handle,
Index: drivers/char/drm-4.0/r128_cce.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/r128_cce.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/r128_cce.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/r128_cce.c	4 Aug 2004 01:28:49 -0000	1.2
@@ -86,12 +86,12 @@
 };
 
 
-#define DO_REMAP(_m) (_m)->handle = drm_ioremap((_m)->offset, (_m)->size)
+#define DO_REMAP(_m, _d) (_m)->handle = drm_ioremap((_m)->offset, (_m)->size, (_d))
 
-#define DO_REMAPFREE(_m)                                                    \
+#define DO_REMAPFREE(_m, _d)                                                   \
 	do {                                                                \
 		if ((_m)->handle && (_m)->size)                             \
-			drm_ioremapfree((_m)->handle, (_m)->size);          \
+			drm_ioremapfree((_m)->handle, (_m)->size, (_d));    \
 	} while (0)
 
 #define DO_FIND_MAP(_m, _o)                                                 \
@@ -481,12 +481,12 @@
 		(drm_r128_sarea_t *)((u8 *)dev_priv->sarea->handle +
 				     init->sarea_priv_offset);
 
-	DO_REMAP( dev_priv->cce_ring );
-	DO_REMAP( dev_priv->ring_rptr );
-	DO_REMAP( dev_priv->buffers );
+	DO_REMAP( dev_priv->cce_ring, dev );
+	DO_REMAP( dev_priv->ring_rptr, dev );
+	DO_REMAP( dev_priv->buffers, dev );
 #if 0
 	if ( !dev_priv->is_pci ) {
-		DO_REMAP( dev_priv->agp_textures );
+		DO_REMAP( dev_priv->agp_textures, dev );
 	}
 #endif
 
@@ -521,12 +521,12 @@
 	if ( dev->dev_private ) {
 		drm_r128_private_t *dev_priv = dev->dev_private;
 
-		DO_REMAPFREE( dev_priv->cce_ring );
-		DO_REMAPFREE( dev_priv->ring_rptr );
-		DO_REMAPFREE( dev_priv->buffers );
+		DO_REMAPFREE( dev_priv->cce_ring, dev );
+		DO_REMAPFREE( dev_priv->ring_rptr, dev );
+		DO_REMAPFREE( dev_priv->buffers, dev );
 #if 0
 		if ( !dev_priv->is_pci ) {
-			DO_REMAPFREE( dev_priv->agp_textures );
+			DO_REMAPFREE( dev_priv->agp_textures, dev );
 		}
 #endif
 
Index: drivers/char/drm-4.0/r128_drv.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/r128_drv.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/r128_drv.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/r128_drv.c	4 Aug 2004 01:28:49 -0000	1.2
@@ -296,7 +296,7 @@
 					DRM_DEBUG("mtrr_del = %d\n", retcode);
 				}
 #endif
-				drm_ioremapfree(map->handle, map->size);
+				drm_ioremapfree(map->handle, map->size, dev);
 				break;
 			case _DRM_SHM:
 				drm_free_pages((unsigned long)map->handle,
Index: drivers/char/drm-4.0/r128_state.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/r128_state.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/r128_state.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/r128_state.c	4 Aug 2004 01:28:49 -0000	1.2
@@ -938,6 +938,9 @@
 	}
 
 	count = depth->n;
+
+	if (count > 4096 || count <= 0)
+		return -EMSGSIZE;
 	if ( copy_from_user( &x, depth->x, sizeof(x) ) ) {
 		return -EFAULT;
 	}
@@ -1048,6 +1051,9 @@
 
 	count = depth->n;
 
+	if (count > 4096 || count <= 0)
+		return -EMSGSIZE;
+
 	x = kmalloc( count * sizeof(*x), 0 );
 	if ( x == NULL ) {
 		return -ENOMEM;
@@ -1178,6 +1184,10 @@
 	}
 
 	count = depth->n;
+	
+	if (count > 4096 || count <= 0)
+		return -EMSGSIZE;
+
 	if ( copy_from_user( &x, depth->x, sizeof(x) ) ) {
 		return -EFAULT;
 	}
@@ -1235,6 +1245,8 @@
 	}
 
 	count = depth->n;
+	if (count > 4096 || count <= 0)
+		return -EMSGSIZE;
 	if ( count > dev_priv->depth_pitch ) {
 		count = dev_priv->depth_pitch;
 	}
Index: drivers/char/drm-4.0/radeon_cp.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/radeon_cp.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/radeon_cp.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/radeon_cp.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -300,12 +300,12 @@
 };
 
 
-#define DO_IOREMAP(_m) (_m)->handle = drm_ioremap((_m)->offset, (_m)->size)
+#define DO_IOREMAP(_m, _d) (_m)->handle = drm_ioremap((_m)->offset, (_m)->size, (_d))
 
-#define DO_IOREMAPFREE(_m)						\
+#define DO_IOREMAPFREE(_m, _d)						\
 	do {								\
 		if ((_m)->handle && (_m)->size)				\
-			drm_ioremapfree((_m)->handle, (_m)->size);	\
+			drm_ioremapfree((_m)->handle, (_m)->size, (_d));\
 	} while (0)
 
 #define DO_FIND_MAP(_m, _o)						\
@@ -757,12 +757,12 @@
 		(drm_radeon_sarea_t *)((u8 *)dev_priv->sarea->handle +
 				       init->sarea_priv_offset);
 
-	DO_IOREMAP( dev_priv->cp_ring );
-	DO_IOREMAP( dev_priv->ring_rptr );
-	DO_IOREMAP( dev_priv->buffers );
+	DO_IOREMAP( dev_priv->cp_ring, dev );
+	DO_IOREMAP( dev_priv->ring_rptr, dev );
+	DO_IOREMAP( dev_priv->buffers, dev );
 #if 0
 	if ( !dev_priv->is_pci ) {
-		DO_IOREMAP( dev_priv->agp_textures );
+		DO_IOREMAP( dev_priv->agp_textures, dev );
 	}
 #endif
 
@@ -828,12 +828,12 @@
 	if ( dev->dev_private ) {
 		drm_radeon_private_t *dev_priv = dev->dev_private;
 
-		DO_IOREMAPFREE( dev_priv->cp_ring );
-		DO_IOREMAPFREE( dev_priv->ring_rptr );
-		DO_IOREMAPFREE( dev_priv->buffers );
+		DO_IOREMAPFREE( dev_priv->cp_ring, dev );
+		DO_IOREMAPFREE( dev_priv->ring_rptr, dev );
+		DO_IOREMAPFREE( dev_priv->buffers, dev );
 #if 0
 		if ( !dev_priv->is_pci ) {
-			DO_IOREMAPFREE( dev_priv->agp_textures );
+			DO_IOREMAPFREE( dev_priv->agp_textures, dev );
 		}
 #endif
 
Index: drivers/char/drm-4.0/radeon_drv.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/radeon_drv.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/radeon_drv.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/radeon_drv.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -294,7 +294,7 @@
 					DRM_DEBUG("mtrr_del = %d\n", retcode);
 				}
 #endif
-				drm_ioremapfree(map->handle, map->size);
+				drm_ioremapfree(map->handle, map->size, dev);
 				break;
 			case _DRM_SHM:
 				drm_free_pages((unsigned long)map->handle,
Index: drivers/char/drm-4.0/tdfx_drv.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/drm-4.0/tdfx_drv.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/drm-4.0/tdfx_drv.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/drm-4.0/tdfx_drv.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -264,7 +264,7 @@
 					DRM_DEBUG("mtrr_del = %d\n", retcode);
 				}
 #endif
-				drm_ioremapfree(map->handle, map->size);
+				drm_ioremapfree(map->handle, map->size, dev);
 				break;
 			case _DRM_SHM:
 				drm_free_pages((unsigned long)map->handle,
Index: drivers/char/ftape/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/Makefile	22 Jul 2004 19:49:53 -0000	1.1
+++ drivers/char/ftape/Makefile	4 Aug 2004 01:28:50 -0000	1.2
@@ -16,8 +16,8 @@
 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 #
 # $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/Makefile,v $
-# $Revision: 1.1 $
-# $Date: 2004/07/22 19:49:53 $
+# $Revision: 1.2 $
+# $Date: 2004/08/04 01:28:50 $
 #
 #      Makefile for the QIC-40/80/3010/3020 floppy-tape driver for
 #      Linux.
Index: drivers/char/ftape/compressor/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/compressor/Makefile	22 Jul 2004 19:49:53 -0000	1.1
+++ drivers/char/ftape/compressor/Makefile	4 Aug 2004 01:28:50 -0000	1.2
@@ -16,8 +16,8 @@
 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 #
 # $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/Makefile,v $
-# $Revision: 1.1 $
-# $Date: 2004/07/22 19:49:53 $
+# $Revision: 1.2 $
+# $Date: 2004/08/04 01:28:50 $
 #
 #      Makefile for the optional compressor for th zftape VFS
 #      interface to the QIC-40/80/3010/3020 floppy-tape driver for
Index: drivers/char/ftape/compressor/lzrw3.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/lzrw3.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/compressor/lzrw3.c	22 Jul 2004 19:49:53 -0000	1.1
+++ drivers/char/ftape/compressor/lzrw3.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -1,7 +1,7 @@
 /*
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/lzrw3.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:53 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  * Implementation of Ross Williams lzrw3 algorithm. Adaption for zftape.
  *
Index: drivers/char/ftape/compressor/lzrw3.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/lzrw3.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/compressor/lzrw3.h	22 Jul 2004 19:49:53 -0000	1.1
+++ drivers/char/ftape/compressor/lzrw3.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -2,8 +2,8 @@
 #define _LZRW3_H
 /*
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/lzrw3.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:53 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *  include files for lzrw3. Only slighty modified from the original
  *  version. Assembles the three include files compress.h, port.h and
Index: drivers/char/ftape/compressor/zftape-compress.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/zftape-compress.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/compressor/zftape-compress.c	22 Jul 2004 19:49:53 -0000	1.1
+++ drivers/char/ftape/compressor/zftape-compress.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -28,8 +28,8 @@
  */
 
  char zftc_src[] ="$Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/zftape-compress.c,v $";
- char zftc_rev[] = "$Revision: 1.1 $";
- char zftc_dat[] = "$Date: 2004/07/22 19:49:53 $";
+ char zftc_rev[] = "$Revision: 1.2 $";
+ char zftc_dat[] = "$Date: 2004/08/04 01:28:50 $";
 
 #include <linux/errno.h>
 #include <linux/mm.h>
Index: drivers/char/ftape/compressor/zftape-compress.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/zftape-compress.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/compressor/zftape-compress.h	22 Jul 2004 19:49:53 -0000	1.1
+++ drivers/char/ftape/compressor/zftape-compress.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -20,8 +20,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/compressor/zftape-compress.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:53 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  * This file contains macros and definitions for zftape's
  * builtin compression code.
Index: drivers/char/ftape/lowlevel/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/Makefile	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/Makefile	4 Aug 2004 01:28:50 -0000	1.2
@@ -16,8 +16,8 @@
 # the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 #
 # $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/Makefile,v $
-# $Revision: 1.1 $
-# $Date: 2004/07/22 19:49:54 $
+# $Revision: 1.2 $
+# $Date: 2004/08/04 01:28:50 $
 #
 #      Makefile for the lowlevel part QIC-40/80/3010/3020 floppy-tape
 #      driver for Linux.
Index: drivers/char/ftape/lowlevel/fc-10.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fc-10.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/fc-10.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/fc-10.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -44,8 +44,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fc-10.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains code for the CMS FC-10/FC-20 card.
  */
Index: drivers/char/ftape/lowlevel/fc-10.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fc-10.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/fc-10.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/fc-10.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -20,8 +20,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fc-10.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains definitions for the FC-10 code
  *      of the QIC-40/80 floppy-tape driver for Linux.
Index: drivers/char/ftape/lowlevel/fdc-io.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-io.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/fdc-io.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/fdc-io.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -18,8 +18,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-io.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the low-level floppy disk interface code
  *      for the QIC-40/80/3010/3020 floppy-tape driver "ftape" for
Index: drivers/char/ftape/lowlevel/fdc-io.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-io.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/fdc-io.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/fdc-io.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -21,8 +21,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-io.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the declarations for the low level
  *      functions that communicate with the floppy disk controller,
Index: drivers/char/ftape/lowlevel/fdc-isr.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-isr.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/fdc-isr.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/fdc-isr.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -18,8 +18,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-isr.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the interrupt service routine and
  *      associated code for the QIC-40/80/3010/3020 floppy-tape driver
Index: drivers/char/ftape/lowlevel/fdc-isr.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-isr.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/fdc-isr.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/fdc-isr.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -21,8 +21,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/fdc-isr.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file declares the global variables necessary to
  *      synchronize the interrupt service routine (isr) with the
Index: drivers/char/ftape/lowlevel/ftape-bsm.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-bsm.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-bsm.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-bsm.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -18,8 +18,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-bsm.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the bad-sector map handling code for
  *      the QIC-117 floppy tape driver for Linux.
Index: drivers/char/ftape/lowlevel/ftape-bsm.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-bsm.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-bsm.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-bsm.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -21,8 +21,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-bsm.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains definitions for the bad sector map handling
  *      routines for the QIC-117 floppy-tape driver for Linux.
Index: drivers/char/ftape/lowlevel/ftape-buffer.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-buffer.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-buffer.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-buffer.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -17,8 +17,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-buffer.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *  This file contains the allocator/dealloctor for ftape's dynamic dma
  *  buffer.
Index: drivers/char/ftape/lowlevel/ftape-buffer.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-buffer.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-buffer.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-buffer.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -20,8 +20,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-buffer.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *  This file contains the allocator/dealloctor for ftape's dynamic dma
  *  buffer.
Index: drivers/char/ftape/lowlevel/ftape-calibr.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-calibr.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-calibr.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-calibr.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -17,8 +17,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-calibr.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      GP calibration routine for processor speed dependent
  *      functions.
Index: drivers/char/ftape/lowlevel/ftape-calibr.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-calibr.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-calibr.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-calibr.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -20,8 +20,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-calibr.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains a gp calibration routine for
  *      hardware dependent timeout functions.
Index: drivers/char/ftape/lowlevel/ftape-ctl.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ctl.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-ctl.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-ctl.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -18,8 +18,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ctl.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the non-read/write ftape functions for the
  *      QIC-40/80/3010/3020 floppy-tape driver "ftape" for Linux.
Index: drivers/char/ftape/lowlevel/ftape-ctl.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ctl.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-ctl.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-ctl.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -21,8 +21,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ctl.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the non-standard IOCTL related definitions
  *      for the QIC-40/80/3010/3020 floppy-tape driver "ftape" for
Index: drivers/char/ftape/lowlevel/ftape-ecc.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ecc.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-ecc.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-ecc.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -23,8 +23,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ecc.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the Reed-Solomon error correction code 
  *      for the QIC-40/80 floppy-tape driver for Linux.
Index: drivers/char/ftape/lowlevel/ftape-ecc.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ecc.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-ecc.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-ecc.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -24,8 +24,8 @@
  
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-ecc.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the definitions for the
  *      Reed-Solomon error correction code 
Index: drivers/char/ftape/lowlevel/ftape-format.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-format.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-format.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-format.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -17,8 +17,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-format.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the code to support formatting of floppy
  *      tape cartridges with the QIC-40/80/3010/3020 floppy-tape
Index: drivers/char/ftape/lowlevel/ftape-format.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-format.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-format.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-format.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -20,8 +20,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-format.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the low level definitions for the
  *      formatting support for the QIC-40/80/3010/3020 floppy-tape
Index: drivers/char/ftape/lowlevel/ftape-init.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-init.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-init.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-init.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -57,8 +57,8 @@
 /*      Global vars.
  */
 char ft_src[] __initdata = "$Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-init.c,v $";
-char ft_rev[] __initdata = "$Revision: 1.1 $";
-char ft_dat[] __initdata = "$Date: 2004/07/22 19:49:54 $";
+char ft_rev[] __initdata = "$Revision: 1.2 $";
+char ft_dat[] __initdata = "$Date: 2004/08/04 01:28:50 $";
 
 
 /*  Called by modules package when installing the driver
Index: drivers/char/ftape/lowlevel/ftape-init.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-init.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-init.h	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-init.h	4 Aug 2004 01:28:50 -0000	1.2
@@ -21,8 +21,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-init.h,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  * This file contains the definitions for the interface to 
  * the Linux kernel for floppy tape driver ftape.
Index: drivers/char/ftape/lowlevel/ftape-io.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-io.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/char/ftape/lowlevel/ftape-io.c	22 Jul 2004 19:49:54 -0000	1.1
+++ drivers/char/ftape/lowlevel/ftape-io.c	4 Aug 2004 01:28:50 -0000	1.2
@@ -19,8 +19,8 @@
 
  *
  * $Source: /cvsroot/ts-7200/dist/linux24/drivers/char/ftape/lowlevel/ftape-io.c,v $
- * $Revision: 1.1 $
- * $Date: 2004/07/22 19:49:54 $
+ * $Revision: 1.2 $
+ * $Date: 2004/08/04 01:28:50 $
  *
  *      This file contains the general control functions for the
  *      QIC-40/80/3010/3020 floppy-tape driver "ftape" for Linux.
